Skip to content
Start here

Search for locations, ASes, reports, and more

radar.search.global_(SearchGlobalParams**kwargs) -> SearchGlobalResponse
GET/radar/search/global

Searches for locations, autonomous systems, reports, bots, certificate logs, certificate authorities, industries and verticals. Location names can be localized by sending an Accept-Language HTTP header with a BCP 47 language tag (e.g., Accept-Language: pt-PT). The full quality-value chain is supported (e.g., pt-PT,pt;q=0.9,en;q=0.8).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: str

String used to perform the search operation.

exclude: Optional[List[Literal["ADM1S", "ASNS", "BOTS", 9 more]]]

Search types excluded from results.

One of the following:
"ADM1S"
"ASNS"
"BOTS"
"CERTIFICATE_AUTHORITIES"
"CERTIFICATE_LOGS"
"ORIGINS"
"ORIGIN_REGIONS"
"INDUSTRIES"
"LOCATIONS"
"NOTEBOOKS"
"TLDS"
"VERTICALS"
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
include: Optional[List[Literal["ADM1S", "ASNS", "BOTS", 9 more]]]

Search types included in results.

One of the following:
"ADM1S"
"ASNS"
"BOTS"
"CERTIFICATE_AUTHORITIES"
"CERTIFICATE_LOGS"
"ORIGINS"
"ORIGIN_REGIONS"
"INDUSTRIES"
"LOCATIONS"
"NOTEBOOKS"
"TLDS"
"VERTICALS"
limit: Optional[int]

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
limit_per_group: Optional[float]

Limits the number of objects per search category.

ReturnsExpand Collapse
class SearchGlobalResponse:

Search for locations, ASes, reports, and more

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.search.global_(
    query="United",
)
print(response.search)
{
  "result": {
    "search": [
      {
        "code": "13335",
        "name": "Cloudflare",
        "type": "asn"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "search": [
      {
        "code": "13335",
        "name": "Cloudflare",
        "type": "asn"
      }
    ]
  },
  "success": true
}